<div
  class="checkbox-with-label-component custom-checkbox"
  [ngClass]="{'custom-control': !customIcon}"
  (click)="checkboxClicked()"
  id="qa-checkbox-with-label-component"
>
  <input
    [checked]="isChecked"
    class="custom-control-input"
    type="checkbox"
    id="qa-checkbox"
    *ngIf="!customIcon"
    name="checkbox"
  />
  <img [src]="icon" alt="" class="image" *ngIf="icon">
  <label [ngClass]="{'custom-control-label': !customIcon, label: customIcon}" id="qa-checkbox-label">
    {{ label }}
  </label>
</div>
